%define anolis_release 1
%global pypi_name confection
%global pypi_version 0.1.4

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        The sweetest config system for Python

License:        MIT
URL:            https://github.com/explosion/confection
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pydantic) >= 1.7.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(srsly) >= 2.4
BuildRequires:  python3dist(typing-extensions) >= 3.7.4.1

%description
confection is a lightweight library that offers a configuration system letting you conveniently 
describe arbitrary trees of objects.

Configuration is a huge challenge for machine-learning code because you may want to expose almost 
any detail of any function as a hyperparameter. The setting you want to expose might be arbitrarily 
far down in your call stack, so it might need to pass all the way through the CLI or REST API, through 
any number of intermediate functions, affecting the interface of everything along the way. And then 
once those settings are added, they become hard to remove later. Default values also become hard to 
change without breaking backwards compatibility.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       (python3dist(pydantic) >= 1.7.4 with python3dist(pydantic) < 3~~ with (python3dist(pydantic) < 1.8.1 or python3dist(pydantic) > 1.8.1) with (python3dist(pydantic) < 1.8 or python3dist(pydantic) > 1.8))
Requires:       (python3dist(srsly) >= 2.4 with python3dist(srsly) < 3~~)
Requires:       (python3dist(typing-extensions) >= 3.7.4.1 with python3dist(typing-extensions) < 4.5~~)
%description -n python3-%{pypi_name}
confection is a lightweight library that offers a configuration system letting you conveniently 
describe arbitrary trees of objects.

Configuration is a huge challenge for machine-learning code because you may want to expose almost 
any detail of any function as a hyperparameter. The setting you want to expose might be arbitrarily 
far down in your call stack, so it might need to pass all the way through the CLI or REST API, through 
any number of intermediate functions, affecting the interface of everything along the way. And then 
once those settings are added, they become hard to remove later. Default values also become hard to 
change without breaking backwards compatibility.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun Feb 04 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.1.4-1
- Initial package.